%global commit0 ec75dddf6c2fb634972962a3b8f10fd41c59bb61
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global gitowner otto-de

%global varnishver 5.2.0
%global vabi 6.1
%global vabistrict 4c4875cbf

Name: vmod-uuid
Summary: UUID module for Varnish Cache
Version: 1.3
Release: 2%{?dist}
License: BSD
URL: https://github.com/otto-de/libvmod-uuid
Source0: https://github.com/%{gitowner}/lib%{name}/archive/%{commit0}/lib%{name}-%{shortcommit0}.tar.gz

#Source0: vmod-uuid-1.3.tar.gz
#Patch0: vmod-uuid-1.3.fix_python_el6.patch

Requires: varnish%{?_isa} = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict
Requires: uuid

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: uuid-devel
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
BuildRequires: check-devel

# To build from a git checkout, add these
BuildRequires: automake
BuildRequires: libtool
BuildRequires: python-docutils
BuildRequires: autoconf-archive

%description
UUID Varnish vmod used to generate a uuid, including versions 1, 3, 4 and 5
as specified in RFC 4122. See the RFC for details about the various versions.


%prep
echo Upstream: https://github.com/%{gitowner}/lib%{name}/archive/%{commit0}/lib%{name}-%{shortcommit0}.tar.gz

%setup -q -n lib%{name}-%{commit0}

#setup -q -n %{name}-%{version}
#if 0%{?rhel} == 6
#patch0 -p0
#else
#endif

%build
./autogen.sh

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
#  --with-rst2man=: \

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%check
make check


%install
# Clean buildroot on older el variants
#rm -rf #{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%license LICENSE
%doc README.rst
%{_mandir}/man3/*.3*

%changelog
* Mon Nov 06 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-2
- Set a readable homepage URL
- Removed Group and BuildRoot tags
- Set _isa macro on varnish requirement
- Use license macro on all builds
- Build fixes for el6 added, though commented out (requires a dist tarball)

* Fri Nov 03 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-1
- New upstream release 1.3 aka ec75ddd

